Subject: Sunburn!

From: [email-masked]
Date: Thu, 20 Jul 95 07:35:49 EST

JO>I just got a bad sunburn on my chest from this past HOT weekend.  Last
JO>night, it started itching like crazy.  I tried everything, but it
JO>wouldn't stop.  Finally, I applied the juice of an aloe vera plant we had
JO>in the house.  The itching reduced to a minimum within a few minutes.
JO>Thank goodness!  Does anyone know of any other herbal treatments for
JO>sunburn?  Thanks...

JO>- John

Calendula is good for all sorts of burns...